=== debian/watch ===
version=3
http://www.si6networks.com/tools/ipv6toolkit/ipv6-?toolkit-v([0-9.]+).tar.gz
