=== debian/control ===
Source: ipv6toolkit
Section: net
Priority: extra
Maintainer: Octavio Alvarez <alvarezp@alvarezp.com>
Build-Depends: debhelper (>= 8.0.0), libpcap-dev
Standards-Version: 3.9.4
Homepage: http://www.si6networks.com/tools/ipv6toolkit/

Package: ipv6toolkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Security assessment and troubleshooting tool for the IPv6 protocols
 The SI6 Networks' IPv6 toolkit is a set of IPv6 security and
 trouble-shooting tools, that can send arbitrary IPv6-based
 packets.
 .
 List of tools:
  * address6: An IPv6 address analysis and manipulation tool.
  * flow6: A tool to perform a security asseessment of the IPv6 Flow
    Label.
  * frag6: A tool to perform IPv6 fragmentation-based attacks and to
    perform a security assessment of a number of fragmentation-related
    aspects.
  * icmp6: A tool to perform attacks based on ICMPv6 error messages.
  * jumbo6: A tool to assess potential flaws in the handling of IPv6
    Jumbograms.
  * na6: A tool to send arbitrary Neighbor Advertisement messages.
  * ni6: A tool to send arbitrary ICMPv6 Node Information messages,
     and assess possible flaws in the processing of such packets.
  * ns6: A tool to send arbitrary Neighbor Solicitation messages.
  * ra6: A tool to send arbitrary Router Advertisement messages.
  * rd6: A tool to send arbitrary ICMPv6 Redirect messages.
  * rs6: A tool to send arbitrary Router Solicitation messages.
  * scan6: An IPv6 address scanning tool.
  * tcp6: A tool to send arbitrary TCP segments and perform a variety
    of TCP-based attacks.
