=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PREFIX=/usr

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

.PHONY : all
all:
	false

%:
	dh $@ 

# The --exclude=LICENSE.TXT is needed to stop lintian from throwing
# a warning about duplicate license files.
override_dh_installdocs:
	dh_installdocs --exclude=LICENSE.TXT
