=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: extra
 Maintainer: Octavio Alvarez <alvarezp@alvarezp.com>
 Build-Depends: debhelper (>= 8.0.0), libpcap-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.si6networks.com/tools/ipv6toolkit/
+Vcs-Browser: https://github.com/alvarezp/ipv6toolkit/tree/debian
+Vcs-Git: https://github.com/alvarezp/ipv6toolkit.git -b debian
 
 Package: ipv6toolkit
 Architecture: any
@@ -15,7 +17,7 @@
  packets.
  .
  List of tools:
-  * address6: An IPv6 address analysis and manipulation tool.
+  * addr6: An IPv6 address analysis and manipulation tool.
   * flow6: A tool to perform a security asseessment of the IPv6 Flow
     Label.
   * frag6: A tool to perform IPv6 fragmentation-based attacks and to
