=== debian/watch ===
version=3
https://github.com/fgont/ipv6toolkit/releases .*/ipv6toolkit-v?(\d\S*)\.tar\.gz
