## ipv6toolkit 2.0

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # typically employed by package developers.
 
 
-CC= gcc
+CC?=gcc
 CFLAGS+= -Wall
 LDFLAGS+= -lpcap -lm
 
@@ -41,15 +41,18 @@
 SRCPATH= tools
 
 
-SBINTOOLS= flow6 frag6 icmp6 jumbo6 na6 ni6 ns6 ra6 rd6 rs6 scan6 tcp6
+SBINTOOLS= blackhole6 flow6 frag6 icmp6 jumbo6 na6 ni6 ns6 path6 ra6 rd6 rs6 scan6 script6 tcp6 udp6
 BINTOOLS= addr6
 TOOLS= $(BINTOOLS) $(SBINTOOLS)
 LIBS= libipv6.o
 
-all: $(TOOLS) ipv6toolkit.conf
+all: $(TOOLS) data/ipv6toolkit.conf
 
-addr6: $(SRCPATH)/addr6.c $(SRCPATH)/addr6.h $(SRCPATH)/ipv6toolkit.h
-	$(CC) $(CPPFLAGS) $(CFLAGS) -o addr6 $(SRCPATH)/addr6.c $(LDFLAGS) 
+addr6: $(SRCPATH)/addr6.c $(SRCPATH)/addr6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o addr6 $(SRCPATH)/addr6.c $(LIBS) $(LDFLAGS) 
+
+blackhole6: $(SRCPATH)/blackhole6
+	cp $(SRCPATH)/blackhole6 ./
 
 flow6: $(SRCPATH)/flow6.c $(SRCPATH)/flow6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -o flow6 $(SRCPATH)/flow6.c $(LIBS) $(LDFLAGS) 
@@ -72,6 +75,9 @@
 ns6: $(SRCPATH)/ns6.c $(SRCPATH)/ns6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -o ns6 $(SRCPATH)/ns6.c $(LIBS) $(LDFLAGS)
 
+path6: $(SRCPATH)/path6.c $(SRCPATH)/path6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o path6 $(SRCPATH)/path6.c $(LIBS) $(LDFLAGS)
+
 ra6: $(SRCPATH)/ra6.c $(SRCPATH)/ra6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -o ra6 $(SRCPATH)/ra6.c $(LIBS) $(LDFLAGS)
 
@@ -84,16 +90,24 @@
 scan6: $(SRCPATH)/scan6.c $(SRCPATH)/scan6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -o scan6 $(SRCPATH)/scan6.c $(LIBS) $(LDFLAGS)
 
+script6: $(SRCPATH)/script6
+	cp $(SRCPATH)/script6 ./
+
 tcp6: $(SRCPATH)/tcp6.c $(SRCPATH)/tcp6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -o tcp6 $(SRCPATH)/tcp6.c $(LIBS) $(LDFLAGS)
+
+udp6: $(SRCPATH)/udp6.c $(SRCPATH)/udp6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o udp6 $(SRCPATH)/udp6.c $(LIBS) $(LDFLAGS)
 
 libipv6.o: $(SRCPATH)/libipv6.c $(SRCPATH)/libipv6.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o libipv6.o $(SRCPATH)/libipv6.c
 
-ipv6toolkit.conf:
+data/ipv6toolkit.conf:
 	echo "# SI6 Networks' IPv6 Toolkit Configuration File" > \
            data/ipv6toolkit.conf
 	echo OUI-Database=$(PREFIX)/share/ipv6toolkit/oui.txt >> \
+           data/ipv6toolkit.conf 
+	echo Ports-Database=$(PREFIX)/share/ipv6toolkit/service-names-port-numbers.csv >> \
            data/ipv6toolkit.conf 
 
 clean: 
@@ -108,11 +122,15 @@
 	install -m0755 $(SBINTOOLS) $(SBINPATH)
 
 	# Install the configuration file
+	install -m0755 -d $(ETCPATH)
 	install -m0644 data/ipv6toolkit.conf $(ETCPATH)
 
 	# Install the IEEE OUI database
 	install -m0755 -d $(DATAPATH)
 	install -m0644 data/oui.txt $(DATAPATH)
+
+	# Install the port numbers database
+	install -m0644 data/service-names-port-numbers.csv $(DATAPATH)
 
 	# Install the manual pages
 	install -m0755 -d $(MANPATH)/man1
@@ -125,6 +143,7 @@
 uninstall:
 	# Remove the binaries
 	rm -f $(BINPATH)/addr6
+	rm -f $(SBINPATH)/blackhole6
 	rm -f $(SBINPATH)/flow6
 	rm -f $(SBINPATH)/frag6
 	rm -f $(SBINPATH)/icmp6
@@ -132,11 +151,14 @@
 	rm -f $(SBINPATH)/na6
 	rm -f $(SBINPATH)/ni6
 	rm -f $(SBINPATH)/ns6
+	rm -f $(SBINPATH)/path6
 	rm -f $(SBINPATH)/ra6
 	rm -f $(SBINPATH)/rd6
 	rm -f $(SBINPATH)/rs6
 	rm -f $(SBINPATH)/scan6
+	rm -f $(SBINPATH)/script6
 	rm -f $(SBINPATH)/tcp6
+	rm -f $(SBINPATH)/udp6
 
 	# Remove the configuration file
 	rm -f $(ETCPATH)/ipv6toolkit.conf
@@ -146,6 +168,7 @@
 
 	# Remove the manual pages
 	rm -f $(MANPATH)/man1/addr6.1
+	rm -f $(MANPATH)/man1/blackhole.1
 	rm -f $(MANPATH)/man1/flow6.1
 	rm -f $(MANPATH)/man1/frag6.1
 	rm -f $(MANPATH)/man1/icmp6.1
@@ -153,11 +176,14 @@
 	rm -f $(MANPATH)/man1/na6.1
 	rm -f $(MANPATH)/man1/ni6.1
 	rm -f $(MANPATH)/man1/ns6.1
+	rm -f $(MANPATH)/man1/path6.1
 	rm -f $(MANPATH)/man1/ra6.1
 	rm -f $(MANPATH)/man1/rd6.1
 	rm -f $(MANPATH)/man1/rs6.1
 	rm -f $(MANPATH)/man1/scan6.1
+	rm -f $(MANPATH)/man1/script6.1
 	rm -f $(MANPATH)/man1/tcp6.1
+	rm -f $(MANPATH)/man1/udp6.1
 	rm -f $(MANPATH)/man5/ipv6toolkit.conf.5
 	rm -f $(MANPATH)/man7/ipv6toolkit.7
