=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: extra
 Maintainer: Octavio Alvarez <alvarezp@alvarezp.com>
 Build-Depends: debhelper (>= 8.0.0), libpcap-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.si6networks.com/tools/ipv6toolkit/
 Vcs-Browser: https://github.com/alvarezp/ipv6toolkit/tree/debian
 Vcs-Git: https://github.com/alvarezp/ipv6toolkit.git -b debian
 
 Package: ipv6toolkit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ieee-data
 Description: Security assessment and troubleshooting tool for the IPv6 protocols
  The SI6 Networks' IPv6 toolkit is a set of IPv6 security and
  trouble-shooting tools, that can send arbitrary IPv6-based
