=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,pgpsigurlmangle=s/$/.sig/ \
  http://www.si6networks.com/tools/ipv6toolkit/ipv6-?toolkit-v(.+)\.tar\.gz
