## ipv6toolkit 2.0+ds.1

=== debian/changelog ===
ipv6toolkit (2.0+ds.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:08:20 +1100

ipv6toolkit (2.0+ds.1-2build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 13:59:26 +0100

ipv6toolkit (2.0+ds.1-2) unstable; urgency=low

  * Added the following patch:
    - Set pcap timeout to 1 for all platforms. Closes: #1016129.

 -- Octavio Alvarez <alvarezp@alvarezp.com>  Sun, 07 Aug 2022 14:19:17 -0500

ipv6toolkit (2.0+ds.1-1) unstable; urgency=medium

  * Refreshed patches using gbp pq export. Added:
    - Fixed GCC-10 compilation. Closes: #957370.
    - Silenced compilation warnings that are already fixed upstream.
    - Fixed stringop-truncation warning.
  * Bumped compat level to 12.
  * Bumped Standards-Version to 4.5.0.
    - Changed Priority to optional.
  * Disabled debian/watch.

 -- Octavio Alvarez <alvarezp@alvarezp.com>  Tue, 04 Aug 2020 23:21:55 -0500
