=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ipv6toolkit
 Section: net
-Priority: extra
-Maintainer: Octavio Alvarez <alvarezp@alvarezp.com>
-Build-Depends: debhelper (>= 8.0.0), libpcap-dev
-Standards-Version: 3.9.6
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Octavio Alvarez <alvarezp@alvarezp.com>
+Build-Depends: debhelper (>= 12.0.0), libpcap-dev
+Standards-Version: 4.5.0
 Homepage: http://www.si6networks.com/tools/ipv6toolkit/
 Vcs-Browser: https://github.com/alvarezp/ipv6toolkit/tree/debian
 Vcs-Git: https://github.com/alvarezp/ipv6toolkit.git -b debian
