=== debian/rules ===
--- 
+++ 
@@ -22,9 +22,6 @@
 %:
 	dh $@ 
 
-# The --exclude=LICENSE.TXT is needed to stop lintian from throwing
-# a warning about duplicate license files.
-override_dh_installdocs:
-	dh_installdocs --exclude=LICENSE.TXT
-
-	
+override_dh_auto_build:
+	mkdir -p data
+	dh_auto_build
