=== debian/watch ===
# Upstream removed the way to find new releases. This has already been
# reported but for now it does not make sense to add a watch file.
