## ipv6toolkit 2.1+git20220930

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 
 CC?=gcc
-CFLAGS+= -Wall
+CFLAGS+= -Wall -Wno-address-of-packed-member -Wno-missing-braces
 LDFLAGS+= -lpcap -lm
 
 .ifndef(PREFIX)
@@ -41,7 +41,7 @@
 SRCPATH= tools
 
 
-SBINTOOLS= blackhole6 flow6 frag6 icmp6 jumbo6 na6 ni6 ns6 path6 ra6 rd6 rs6 scan6 script6 tcp6 udp6
+SBINTOOLS= blackhole6 flow6 frag6 icmp6 jumbo6 messi mldq6 na6 ni6 ns6 path6 ra6 rd6 rs6 scan6 script6 tcp6 udp6
 BINTOOLS= addr6
 TOOLS= $(BINTOOLS) $(SBINTOOLS)
 LIBS= libipv6.o
@@ -66,6 +66,12 @@
 jumbo6: $(SRCPATH)/jumbo6.c $(SRCPATH)/jumbo6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -o jumbo6 $(SRCPATH)/jumbo6.c $(LIBS) $(LDFLAGS)
 
+messi: $(SRCPATH)/messi
+	cp $(SRCPATH)/messi ./
+	
+mldq6: $(SRCPATH)/mldq6.c $(SRCPATH)/mldq6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o mldq6 $(SRCPATH)/mldq6.c $(LIBS) $(LDFLAGS)
+
 na6: $(SRCPATH)/na6.c $(SRCPATH)/na6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -o na6 $(SRCPATH)/na6.c $(LIBS) $(LDFLAGS)
 
@@ -105,9 +111,25 @@
 data/ipv6toolkit.conf:
 	echo "# SI6 Networks' IPv6 Toolkit Configuration File" > \
            data/ipv6toolkit.conf
+	echo WWW-client=curl >> \
+           data/ipv6toolkit.conf 
 	echo OUI-Database=$(PREFIX)/share/ipv6toolkit/oui.txt >> \
            data/ipv6toolkit.conf 
 	echo Ports-Database=$(PREFIX)/share/ipv6toolkit/service-names-port-numbers.csv >> \
+           data/ipv6toolkit.conf 
+	echo Top-Ports-Database=$(PREFIX)/share/ipv6toolkit/top-port-numbers.csv >> \
+           data/ipv6toolkit.conf 
+	echo Country-Database=$(PREFIX)/share/ipv6toolkit/country-data.csv >> \
+           data/ipv6toolkit.conf
+	echo DNS-TLD-Database=$(PREFIX)/share/ipv6toolkit/dns-tld-database.csv >> \
+           data/ipv6toolkit.conf
+	echo DNS-Suffix-Database=$(PREFIX)/share/ipv6toolkit/public_suffix_list.dat >> \
+           data/ipv6toolkit.conf
+	echo RIR-Database=$(PREFIX)/share/ipv6toolkit/rir-database.csv >> \
+           data/ipv6toolkit.conf 
+	echo DNS-UKGOV-Database=$(PREFIX)/share/ipv6toolkit/dns-gov-uk-domains.csv >> \
+           data/ipv6toolkit.conf 
+	echo DNS-Dictionary=$(PREFIX)/share/ipv6toolkit/dns-dictionary.txt >> \
            data/ipv6toolkit.conf 
 
 clean: 
@@ -131,6 +153,27 @@
 
 	# Install the port numbers database
 	install -m0644 data/service-names-port-numbers.csv $(DATAPATH)
+
+	# Install the top port numbers database
+	install -m0644 data/top-port-numbers.csv $(DATAPATH)
+
+	# Install the country information database
+	install -m0644 data/country-data.csv $(DATAPATH)
+
+	# Install the DNS TLD Database
+	install -m0644 data/dns-tld-database.csv $(DATAPATH)
+
+	# Install the DNS Suffixes database
+	install -m0644 data/public_suffix_list.dat $(DATAPATH)
+
+	# Install the RIR Database
+	install -m0644 data/rir-database.csv $(DATAPATH)
+
+	# Install the UK Gov Database
+	install -m0644 data/dns-gov-uk-domains.csv $(DATAPATH)
+
+	# Install the DNS Dictionary
+	install -m0644 data/dns-dictionary.txt $(DATAPATH)
 
 	# Install the manual pages
 	install -m0755 -d $(MANPATH)/man1
@@ -148,6 +191,8 @@
 	rm -f $(SBINPATH)/frag6
 	rm -f $(SBINPATH)/icmp6
 	rm -f $(SBINPATH)/jumbo6
+	rm -f $(SBINPATH)/messi
+	rm -f $(SBINPATH)/mldq6
 	rm -f $(SBINPATH)/na6
 	rm -f $(SBINPATH)/ni6
 	rm -f $(SBINPATH)/ns6
@@ -163,7 +208,8 @@
 	# Remove the configuration file
 	rm -f $(ETCPATH)/ipv6toolkit.conf
 
-	# Remove the IEEE OUI database
+	# Remove the IEEE OUI database, service names database, top port numbers database, and
+	# other databases
 	rm -rf $(DATAPATH)
 
 	# Remove the manual pages
@@ -173,6 +219,7 @@
 	rm -f $(MANPATH)/man1/frag6.1
 	rm -f $(MANPATH)/man1/icmp6.1
 	rm -f $(MANPATH)/man1/jumbo6.1
+	rm -f $(MANPATH)/man1/mldq6.1
 	rm -f $(MANPATH)/man1/na6.1
 	rm -f $(MANPATH)/man1/ni6.1
 	rm -f $(MANPATH)/man1/ns6.1
