=== debian/changelog ===
ipv6toolkit (2.1+git20220930-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:50:44 +0200

ipv6toolkit (2.1+git20220930-0kali2) kali-dev; urgency=medium

  * Add Breaks / Replaces and Provides for the transition itpv6-toolkit to
    ipv6-toolkit

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 02 Dec 2022 15:01:32 +0100

ipv6toolkit (2.1+git20220930-0kali1) kali-dev; urgency=medium

  * Change name of package (see https://bugs.kali.org/view.php?id=8071)
  * New upstream version 2.1+git20220930
  * Refresh patches
  * Update Maintainers list
  * Update debian/copyright
  * Bump Standards-Version to 4.6.1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 01 Dec 2022 16:34:25 +0100

ipv6-toolkit (2.1+git20210331-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * New upstream version 2.1+git20210331
  * Update upstream homepage
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.5.1 (change priority to optional)
  * Change perl shebang
  * Build with bindnow
  * Use package ieee-data instead of upstream ieee-data file

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 17 Jun 2021 11:00:55 +0200

ipv6-toolkit (2.0beta-1kali1) kali; urgency=low

  * Upstream Update

 -- Jim O'Gorman <elwood@kali.org>  Tue, 06 Jan 2015 20:28:28 -0500

ipv6-toolkit (1.5.3-1kali1) kali; urgency=low

  * Upstream import

 -- Mati Aharoni <muts@kali.org>  Fri, 23 May 2014 06:15:08 -0400

ipv6-toolkit (1.4.1-1kali2) kali; urgency=low

  * Clean up Debian packaging to rely on the upstream Makefile.
  * Upgrade debhelper to compat 9 level and misc debian/control
    improvements.
  * New patch fix-makefile.patch that fixes make install to create $(ETCPATH)
    before copying files into it. 
  * Add watch file.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 04 Oct 2013 09:50:48 +0200

ipv6-toolkit (1.4.1-1kali1) kali; urgency=low

  * Added dh_shlibdeps override to rules

 -- Devon Kearns <dookie@kali.org>  Thu, 03 Oct 2013 09:52:02 -0600

ipv6-toolkit (1.4.1-1kali0) kali; urgency=low

  * Initial release (Closes: 0000324)  

 -- Devon Kearns <dookie@kali.org>  Thu, 03 Oct 2013 09:14:04 -0600
