=== debian/control ===
Source: ipv6toolkit
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13), libpcap-dev
Standards-Version: 4.6.1
Homepage: https://www.si6networks.com/tools/ipv6toolkit/

Package: ipv6toolkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ieee-data
Breaks: ipv6-toolkit (<< 2.1+git20220930)
Replaces: ipv6-toolkit (<< 2.1+git20220930)
Provides: ipv6-toolkit
Description: IPv6 assessment and troubleshooting tools
 Included tools:
  - addr6: An IPv6 address analysis and manipulation tool.
  - flow6: A tool to perform a security asseessment of the IPv6 Flow Label.
  - frag6: A tool to perform IPv6 fragmentation-based attacks and to perform a
    security assessment of a number of fragmentation-related aspects.
  - icmp6: A tool to perform attacks based on ICMPv6 error messages.
  - jumbo6: A tool to assess potential flaws in the handling of IPv6 Jumbograms.
  - na6: A tool to send arbitrary Neighbor Advertisement messages.
  - ni6: A tool to send arbitrary ICMPv6 Node Information messages, and assess
    possible flaws in the processing of such packets.
  - ns6: A tool to send arbitrary Neighbor Solicitation messages.
  - ra6: A tool to send arbitrary Router Advertisement messages.
  - rd6: A tool to send arbitrary ICMPv6 Redirect messages.
  - rs6: A tool to send arbitrary Router Solicitation messages.
  - scan6: An IPv6 address scanning tool.
  - tcp6: A tool to send arbitrary TCP segments and perform a variety of TCP-
    based attacks.
