=== debian/watch ===
version=4
opts="mode=git, pretty=2.1+git%cd, pgpmode=none" \
  https://github.com/fgont/ipv6toolkit.git \
  HEAD debian uupdate
