## ipv6toolkit 2.2

=== debian/changelog ===
ipv6toolkit (2.2-0kali1) kali-dev; urgency=medium

  * Update VCS URLs: ipv6-toolkit -> ipv6toolkit
  * Update libpcap-dev build-dep
  * Update watch file
  * New upstream version 2.2
  * Refresh patches

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 08 Dec 2025 18:00:25 +0700
