=== debian/control ===
--- 
+++ 
@@ -1,18 +1,29 @@
 Source: ipv6toolkit
 Section: utils
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Build-Depends: debhelper-compat (= 13), libpcap-dev
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders:
+ Sophie Brun <sophie@offensive-security.com>,
+Build-Depends:
+ debhelper-compat (= 13),
+ libpcap0.8-dev,
 Standards-Version: 4.6.1
 Homepage: https://www.si6networks.com/tools/ipv6toolkit/
+Vcs-Git: https://gitlab.com/kalilinux/packages/ipv6toolkit.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/ipv6toolkit
 
 Package: ipv6toolkit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ieee-data
-Breaks: ipv6-toolkit (<< 2.1+git20220930)
-Replaces: ipv6-toolkit (<< 2.1+git20220930)
-Provides: ipv6-toolkit
+Depends:
+ ieee-data,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ipv6-toolkit (<< 2.1+git20220930),
+Replaces:
+ ipv6-toolkit (<< 2.1+git20220930),
+Provides:
+ ipv6-toolkit,
 Description: IPv6 assessment and troubleshooting tools
  Included tools:
   - addr6: An IPv6 address analysis and manipulation tool.
